<div class="grid pl-4 py-4 pr-1 w-full">
  <app-galpao
    *ngFor="let g of model.galpoes"
    class="col-3"
    [nome]="g.nomeGalpao"
    [capacidade]="g.capacidade"
    [id]="g.idGalpao"
    [qbaias]="g.qtdBaias"
  ></app-galpao>

  <div class="col-3">
    <button
      pButton
      pRipple
      type="button"
      class="p-button-success text-2xl w-full h-full"
      (click)="open()"
    >
      <div class="w-full justify-content-center">
        <h1>+ Novo</h1>
      </div>
    </button>
  </div>
</div>

<app-modal-cadastro
  title="Novo galpão"
  [toggle_visible]="tmodal"
  (interact)="interact($event)"
>
  <div class="grid">
    <app-div-input class="col-6" label="Nome">
      <input
        type="text"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="nomeGalpao"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Capacidade">
      <input
        type="number"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="capacidade"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Quantidade de baias">
      <input
        type="number"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="qtdBaias"
      />
    </app-div-input>

    <div class="col-2"></div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-database"
            label="Salvar"
            class="w-full p-button-success text-2xl"
            (click)="interact('save')"
          ></button>
        </div>
      </div>
    </div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-times"
            label="Cancelar"
            class="w-full p-button-secondary text-2xl"
            (click)="interact('close')"
          ></button>
        </div>
      </div>
    </div>
  </div>
</app-modal-cadastro>
